# Maker Checker Search Template

`GET /lokta-lms/api/v1/makercheckers/searchtemplate`

Returns the users, actions and entities you can filter pending approvals by.

This is a convenience resource. It can be useful when building a Checker Inbox UI. "appUsers" are data scoped to the office/branch the requestor is associated with. "actionNames" and "entityNames" returned are those that the requestor has Checker approval permissions for.

Example Requests:

makercheckers/searchtemplate
makercheckers/searchtemplate?fields=entityNames

## Responses
- `default`: default response

## Response fields
- `actionNames` (array)
- `appUsers` (array of AppUserData)
- `entityNames` (array)
- `statuses` (array of ProcessingResultLookup)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/makercheckers/searchtemplate' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "actionNames": [
    "string"
  ],
  "appUsers": [
    {}
  ],
  "entityNames": [
    "string"
  ],
  "statuses": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAuditSearchTemplate_1
